package mhp.oee.po.gen;

import java.util.Date;

public class ActivityPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.ACTIVITY
     *
     * @mbggenerated
     */
    private String activity;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.EXECUTION_TYPE
     *
     * @mbggenerated
     */
    private String executionType;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.VISIBLE
     *
     * @mbggenerated
     */
    private String visible;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.CLASS_OR_PROGRAM
     *
     * @mbggenerated
     */
    private String classOrProgram;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.SEQUENCE_ID
     *
     * @mbggenerated
     */
    private Integer sequenceId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.HANDLE
     *
     * @return the value of activity.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.HANDLE
     *
     * @param handle the value for activity.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.ACTIVITY
     *
     * @return the value of activity.ACTIVITY
     *
     * @mbggenerated
     */
    public String getActivity() {
        return activity;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.ACTIVITY
     *
     * @param activity the value for activity.ACTIVITY
     *
     * @mbggenerated
     */
    public void setActivity(String activity) {
        this.activity = activity == null ? null : activity.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.ENABLED
     *
     * @return the value of activity.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.ENABLED
     *
     * @param enabled the value for activity.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.DESCRIPTION
     *
     * @return the value of activity.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.DESCRIPTION
     *
     * @param description the value for activity.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.EXECUTION_TYPE
     *
     * @return the value of activity.EXECUTION_TYPE
     *
     * @mbggenerated
     */
    public String getExecutionType() {
        return executionType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.EXECUTION_TYPE
     *
     * @param executionType the value for activity.EXECUTION_TYPE
     *
     * @mbggenerated
     */
    public void setExecutionType(String executionType) {
        this.executionType = executionType == null ? null : executionType.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.VISIBLE
     *
     * @return the value of activity.VISIBLE
     *
     * @mbggenerated
     */
    public String getVisible() {
        return visible;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.VISIBLE
     *
     * @param visible the value for activity.VISIBLE
     *
     * @mbggenerated
     */
    public void setVisible(String visible) {
        this.visible = visible == null ? null : visible.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.CLASS_OR_PROGRAM
     *
     * @return the value of activity.CLASS_OR_PROGRAM
     *
     * @mbggenerated
     */
    public String getClassOrProgram() {
        return classOrProgram;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.CLASS_OR_PROGRAM
     *
     * @param classOrProgram the value for activity.CLASS_OR_PROGRAM
     *
     * @mbggenerated
     */
    public void setClassOrProgram(String classOrProgram) {
        this.classOrProgram = classOrProgram == null ? null : classOrProgram.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.SEQUENCE_ID
     *
     * @return the value of activity.SEQUENCE_ID
     *
     * @mbggenerated
     */
    public Integer getSequenceId() {
        return sequenceId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.SEQUENCE_ID
     *
     * @param sequenceId the value for activity.SEQUENCE_ID
     *
     * @mbggenerated
     */
    public void setSequenceId(Integer sequenceId) {
        this.sequenceId = sequenceId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.CREATED_DATE_TIME
     *
     * @return the value of activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.MODIFIED_DATE_TIME
     *
     * @return the value of activity.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for activity.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity.MODIFIED_USER
     *
     * @return the value of activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity.MODIFIED_USER
     *
     * @param modifiedUser the value for activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}